Loading...
Searching...
No Matches
Opm::GroupEconProductionLimits Class Reference

## Classes

class | GEconGroup
class | GEconGroupProp

## Public Types

enum class | EconWorkover { NONE = 0 , CON = 1 , CONP = 2 , WELL = 3 , PLUG = 4 , ALL = 5 }

## Public Member Functions

void | add_group (const int report_step, const std::string &group_name, const DeckRecord &record)
const GEconGroup & | get_group (const std::string &gname) const
GEconGroupProp | get_group_prop (const Schedule &schedule, const SummaryState &st, const std::string &gname) const
bool | has_group (const std::string &gname) const
bool | operator== (const GroupEconProductionLimits &other) const
bool | operator!= (const GroupEconProductionLimits &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer) const
size_t | size () const

## Static Public Member Functions

static EconWorkover | econWorkoverFromString (const std::string &string_value)
static GroupEconProductionLimits | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GroupEconProductionLimits.hpp
- opm/input/eclipse/Schedule/Group/GroupEconProductionLimits.cpp